%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname bugzilla2fedmsg

Name:               python-bugzilla2fedmsg
Version:            0.3.0
Release:            8%{?dist}
Summary:            Consume BZ messages over STOMP and republish to fedmsg

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/bugzilla2fedmsg
Source0:            http://pypi.python.org/packages/source/b/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      python2-bugzilla
BuildRequires:      python2-stomper
BuildRequires:      python2-moksha-hub
BuildRequires:      python2-dateutil
BuildRequires:      fedmsg

%global _description\
A moksha consumer that listens to bugzilla over STOMP and reproduces messages\
on a fedmsg bus.

%description %_description

%package -n python2-bugzilla2fedmsg
Summary: %summary
Requires:           python2-bugzilla
Requires:           python2-stomper
Requires:           python2-moksha-hub
Requires:           python2-dateutil
Requires:           fedmsg
%{?python_provide:%python_provide python2-bugzilla2fedmsg}

%description -n python2-bugzilla2fedmsg %_description

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

# Upstream has no test suite
#%%check
#%%{__python2} setup.py test

%files -n python2-bugzilla2fedmsg
%doc README.rst LICENSE CHANGELOG.rst development.ini.example
%{python2_sitelib}/%{modname}.py*
%{python2_sitelib}/%{modname}-%{version}*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.0-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.0-5
- Python 2 binary package renamed to python2-bugzilla2fedmsg
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Mar 04 2016 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- new version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Nov 18 2014 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- Latest upstream handles timezones for rhbz#1139955.

* Tue Sep 30 2014 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Reorganized internally to rely on fedmsg queueing.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 20 2014 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- Initial packaging for Fedora
